Feature #27849

Ruby 2.5 support

Added by Go MAEDA over 2 years ago. Updated 2 months ago.

Status:ClosedStart date:
Priority:NormalDue date:
Assignee:Jean-Philippe Lang% Done:

0%

Category:Ruby support
Target version:4.0.0
Resolution:Fixed

Description

Ruby 2.5.0 was released on December 25, 2017.
https://www.ruby-lang.org/en/news/2017/12/25/ruby-2-5-0-released/

redmine-build-status@2x.png (75.2 KB) Go MAEDA, 2018-04-08 13:37


Related issues

Related to Redmine - Defect #28689: csv 1.0.2 gem breaks ImportsControllerTest Closed
Blocked by Redmine - Patch #28112: CsvTest fails due to a regression in Ruby 2.5 Closed

History

#1 Updated by Go MAEDA about 2 years ago

  • Blocked by Patch #28112: CsvTest fails due to a regression in Ruby 2.5 added

#2 Updated by Go MAEDA almost 2 years ago

Redmine is now tested with Ruby 2.5.
http://www.redmine.org/builds/

#3 Updated by Enziin System almost 2 years ago

Please update to Ruby 2.5.1

#4 Updated by Go MAEDA almost 2 years ago

  • Related to Defect #28689: csv 1.0.2 gem breaks ImportsControllerTest added

#5 Updated by Jean-Philippe Lang almost 2 years ago

  • Status changed from New to Closed
  • Assignee set to Jean-Philippe Lang
  • Resolution set to Fixed

#6 Updated by VVD VVD 2 months ago

Is it possible to run Redmine 3.4.10+ with Ruby 2.5 or 2.6?

Also available in: Atom PDF